import unittest

import numpy as np

from extensions.chaeo.process import mask_largest_object

class TestMaskLargestObject(unittest.TestCase):
     def test_mask_largest_object(self):
         arr = np.zeros([5, 5])
         arr[0:3, 0:3] = 2
         arr[4, 2:5] = 4
         masked = mask_largest_object(arr)
         self.assertTrue(np.all(np.unique(masked) == [0, 2]))
         self.assertTrue(np.all(masked[4:5, :] == 0))
         self.assertTrue(np.all(masked[:, 4:5] == 0))

     def test_no_change(self):
        arr = np.zeros([5, 5])
        arr[0:3, 0:3] = 2
        masked = mask_largest_object(arr)
        self.assertTrue(np.all(masked == arr))
